<?php
/**
 * Config file, return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		1.0
 */
echo json_encode(
	array(
		'prices_fix' => array(
			'version' => '1.0',
			'menu' => array(
				'order' => 4,
				'show_in_menu' => false,
				'title' => 'Update Prices Fix',
				'icon' => 'assets/16_pricesfix.png'
			),
			'in_dashboard' => array(
				'icon' 	=> 'assets/32_pricesfix.png',
				'url'	=> admin_url("admin.php?page=wwcAmzAff_prices_update")
			),
			'help' => array(
				'type' => 'remote',
				'url' => 'http://docs.aa-team.com/woocommerce-amazon-affiliates/documentation/prices-update-fix/'
			),
			'description' => "Manually update prices to match Amazon’s. This is just a verifying tool, if you wish to keep products synchronised use custom Cron job.",
			'module_init' => 'init.php',
			'load_in' => array(
				'backend' => array(
					'admin.php?page=wwcAmzAff_prices_update',
					'admin-ajax.php'
				),
				'frontend' => false
			),
			'javascript' => array(
				'admin',
				'hashchange',
				'tipsy'
			),
			'css' => array(
				'admin',
				'tipsy'
			)
		)
	)
);