<?php
/**
 * Config file, return as json_encode
 * http://www.aa-team.com
 * =======================
 *
 * @author		Andrei Dinca, AA-Team
 * @version		0.1 - in development mode
 */
 echo json_encode(
	array(
		'synchronization' => array(
			'version' => '1',
			'menu' => array(
				'order' => 7,
				'title' => 'Products synchronization',
				'icon' => 'assets/16_synclog.png'
			),
			'in_dashboard' => array(
				'icon' 	=> 'assets/32_synclog.png',
				'url'	=> admin_url("admin.php?page=wwcAmzAff_synclog")
			),
			'help' => array(
				'type' => 'remote',
				'url' => 'http://docs.aa-team.com/woocommerce-amazon-affiliates/documentation/synchronization/',
				'url2' => 'http://docs.aa-team.com/woocommerce-amazon-affiliates/documentation/synchronization-log/'
			),
			'description' => "Using custom cron jobs you can keep your products updated.",
			'module_init' => 'init.php',
			'load_in' => array(
				'backend' => array(
					'admin.php?page=wwcAmzAff_synclog',
					'admin-ajax.php'
				),
				'frontend' => true
			),
			'javascript' => array(
				'admin',
				'hashchange',
				'tipsy'
			),
			'css' => array(
				'admin',
				'tipsy'
			)
		)
	)
 );